SQLITE3SESSION_TABLE_FILTER(3) | Library Functions Manual | SQLITE3SESSION_TABLE_FILTER(3)

# NAME

`sqlite3session_table_filter` —
Set a table filter on a Session Object.

# SYNOPSIS

void
`sqlite3session_table_filter`(sqlite3_session *pSession, int(*xFilter)( void *pCtx, const char *zTab ), void *pCtx );

# DESCRIPTION

The second argument (xFilter) is the "filter callback". For changes to rows in tables that are not attached to the Session object, the filter is called to determine whether changes to the table's rows should be tracked or not. If xFilter returns 0, changes is not tracked. Note that once a table is attached, xFilter will not be called again.

December 19, 2018 | NetBSD 9.4